diff --git a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/pbist_defs.c b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/pbist_defs.c
index 8a9ffdee8c212337cfccead7c07bad946b4b44e5..8a92d361481ae1d9cdd26057d8ba1cb79502f8df 100755
--- a/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/pbist_defs.c
+++ b/psdkra/mcusw/mcuss_demos/boot_app_mcu_rtos/soc/j721e/pbist_defs.c
@@ -69,8 +69,11 @@
 /* ========================================================================== */
 /*                             Include Files                                  */
 /* ========================================================================== */
-#include "Std_Types.h"
-#include <ti/csl/csl_rat.h>
+#include <stdint.h>
+#include <sdl_types.h>
+#include <soc.h>
+#include <src/ip/sdl_ip_pbist.h>
+#include <src/sdl/sdl_pbist.h>
 #include <ti/csl/csl_clec.h>
 #include <ti/csl/cslr_vpac.h>
 #include <ti/csl/csl_cbass.h>
@@ -78,24 +81,19 @@
 #include <ti/csl/cslr_vpac.h>
 #include <ti/csl/cslr_cp_ace.h>
 
+#include <ti/drv/uart/UART.h>
+#include <ti/drv/uart/UART_stdio.h>
+
 /* SCI Client */
 #include <ti/drv/sciclient/sciclient.h>
 
 #include "pbist_utils.h"
 #include "pbist_defs.h"
 
-#include "app_utils.h"
-
 /* ========================================================================== */
 /*                           Macros & Typedefs                                */
 /* ========================================================================== */
 
-#define PBIST_REGION_LOCAL_BASE           (0x60000000u)
-
-#define PBIST_REGION2_LOCAL_BASE          (0x68000000u)
-
-#define PBIST_RAT_CFG_BASE                CSL_MCU_ARMSS_RAT_CFG_BASE
-
 #define A72_NUM_AUX_DEVICES               1
 #define MSMC_NUM_AUX_DEVICES              3
 #define MAIN_INFRA_NUM_AUX_DEVICES        18
@@ -107,6 +105,14 @@
  * on MCU is not corrupted. */
 #define PBIST_MCU_SELECTED_MEMORY
 
+/* HW POST run status definitions */
+#define PBIST_POST_COMPLETED_SUCCESS_STR      "SDL_PBIST_POST_COMPLETED_SUCCESS"
+#define PBIST_POST_COMPLETED_FAILURE_STR      "SDL_PBIST_POST_COMPLETED_FAILURE"
+#define PBIST_POST_ATTEMPTED_TIMEOUT_STR      "SDL_PBIST_POST_TIMEOUT"
+#define PBIST_POST_NOT_RUN_STR                "SDL_PBIST_POST_NOT_RUN"
+
+#define PBIST_RAT_CFG_BASE CSL_MCU_ARMSS_RAT_CFG_BASE
+
 /* ========================================================================== */
 /*                 Internal Function Declarations                             */
 /* ========================================================================== */
@@ -202,62 +208,30 @@ uint32_t PBIST_DSSAuxDevList[DSS_NUM_AUX_DEVICES] =
 
 PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
 {
+    /* HW POST - Used to check the status of HW POST MCU PBIST */
+    {
+        .testName              = "PBIST HWPOST MCU",
+        .pbistInst             = SDL_PBIST_INST_MCUR5F0,
+        .numPostPbistToCheck   = 1u,
+    },
     /* MCU PBIST - Not run as part of BootApp since PBIST changes the memory upon which it is run. */
     {
-        .testName            = "MCU PBIST",
-        .numPostPbistToCheck = 1u,
-        .PBISTRegsHiAddress  = 0u,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)CSL_MCU_PBIST0_BASE,
-        .numPBISTRuns        = CSL_MCU_PBIST0_NUM_TEST_VECTORS, // Not run as part of BootApp
-        .PBISTConfigRun = {
-            /* Golden Vector Part 1 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_MCU_PBIST0_ALGO_BITMAP_0,  /* Choose recommended Algo bitmap 0 */
-                /* NOTE: As the MCU R5f is running this code override bit cannot be set to enable all memory test */
-                .memoryGroupsBitMap = CSL_MCU_PBIST0_MEM_BITMAP_0,   /* Choose recommended mem bitmap 0  */
-                .scrambleValue      = 0xFEDCBA9876543210U,  /* Scramble Value */
-            },
-            /* Golden Vector Part 2 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_MCU_PBIST0_ALGO_BITMAP_1, /* Choose recommended Algo bitmap 1 */
-                /* NOTE: As the MCU R5f is running this code override bit cannot be set to enable all memory test */
-                .memoryGroupsBitMap = CSL_MCU_PBIST0_MEM_BITMAP_1,  /* Choose recommended mem bitmap 1  */
-                .scrambleValue      = 0xFEDCBA9876543210U,  /* Scramble Value */
-            }
-        },
+        .testName               = "MCU PBIST",
+        .pbistInst              = SDL_PBIST_INST_MCUR5F0,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_MCU_PBIST0, /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_MCU_PBIST0_DFT_PBIST_CPU_0,
         .procRstNeeded          = false,
         .secondaryCoreNeeded    = false,                /* Secondary core needed */
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                   /* No Aux devices */
         .auxInitRestoreFunction = NULL,                 /* Auxilliary init/restore function */
-        .doneFlag               = false,                /* Initialize done flag */
     },
     /* Main R5F 0 */
     {
-        .testName            = "Main R5F 0 PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = 0u,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)CSL_PBIST9_BASE, /* PBIST9: Main R5F 0 */
-        .numPBISTRuns        = CSL_PBIST9_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST9_ALGO_BITMAP_0,   /* Choose recommended Algo bitmap 0 */
-                .memoryGroupsBitMap = CSL_PBIST9_MEM_BITMAP_0,    /* Choose recommended mem bitmap 0  */
-                .scrambleValue      = 0xFEDCBA9876543210U,        /* Scramble Value */
-            }
-        },
+        .testName               = "Main R5F 0 PBIST",
+        .pbistInst              = SDL_PBIST_INST_MAINR5F0,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_PBIST9,               /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_PBIST9_DFT_PBIST_CPU_0,
         .procRstNeeded          = true,
         .secondaryCoreNeeded    = true,                           /* Secondary core needed */
         .coreName               = "Main R5F0 core0",              /* Primary core   */
@@ -269,27 +243,13 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                             /* No Aux devices */
         .auxInitRestoreFunction = NULL,                           /* Auxilliary init/restore function */
-        .doneFlag               = false,                          /* Initialize done flag */
     },
-    /* Main MCU 1 */
+    /* Main R5F 1 */
     {
-        .testName            = "Main R5F 1 PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = 0u,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)CSL_PBIST10_BASE,   /* PBIST10: Main MCU 1 */
-        .numPBISTRuns        = CSL_PBIST10_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST10_ALGO_BITMAP_0,   /* Choose recommended Algo bitmap */
-                .memoryGroupsBitMap = CSL_PBIST10_MEM_BITMAP_0,    /* Choose recommended mem bitmap  */
-                .scrambleValue      = 0xFEDCBA9876543210U,         /* Scramble Value */
-            }
-        },
+        .testName               = "Main R5F 1 PBIST",
+        .pbistInst              = SDL_PBIST_INST_MAINR5F1,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_PBIST10,               /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_PBIST10_DFT_PBIST_CPU_0,
         .procRstNeeded          = true,
         .secondaryCoreNeeded    = true,                            /* Secondary core needed */
         .coreName               = "Main R5F1 core0",               /* Primary core   */
@@ -301,27 +261,13 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                              /* No Aux devices */
         .auxInitRestoreFunction = NULL,                            /* Auxilliary init/restore function */
-        .doneFlag               = false,                           /* Initialize done flag */
     },
     /* C7X */
     {
-        .testName            = "C7X PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = CSL_COMPUTE_CLUSTER0_C71SS0_PBIST_BASE,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)PBIST_REGION_LOCAL_BASE,
-        .numPBISTRuns        = CSL_C71SS0_PBIST_WRAP_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_C71SS0_PBIST_WRAP_ALGO_BITMAP_0,   /* Choose recommended Algo bitmap */
-                .memoryGroupsBitMap = CSL_C71SS0_PBIST_WRAP_MEM_BITMAP_0,    /* Choose recommended mem bitmap  */
-                .scrambleValue      = 0xFEDCBA9876543210U,         /* Scramble Value */
-            }
-        },
+        .testName               = "C7X PBIST",
+        .pbistInst              = SDL_PBIST_INST_C7X,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_C71X_0_PBIST_VD,       /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_COMPUTE_CLUSTER0_CLEC_SOC_EVENTS_OUT_LEVEL_12,
         .procRstNeeded          = true,
         .secondaryCoreNeeded    = false,                           /* Secondary core needed */
         .coreName               = "C7x ",
@@ -330,27 +276,12 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                              /* No Aux devices */
         .auxInitRestoreFunction = NULL,                            /* Auxilliary init/restore function */
-        .doneFlag               = false,                           /* Initialize done flag */
     },
     /* A72 */
     {
-        .testName            = "A72 PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = CSL_COMPUTE_CLUSTER0_A72SS0_PBIST0_BASE,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)PBIST_REGION_LOCAL_BASE,
-        .numPBISTRuns        = CSL_A72SS0_CORE0_PBIST_WRAP_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_A72SS0_CORE0_PBIST_WRAP_ALGO_BITMAP_0, /* Choose recommended Algo bitmap */
-                .memoryGroupsBitMap = CSL_A72SS0_CORE0_PBIST_WRAP_MEM_BITMAP_0,  /* Choose recommended mem bitmap  */
-                .scrambleValue      = 0xFEDCBA9876543210U, /* Scramble Value */
-            }
-        },
+        .testName               = "A72 PBIST",
+        .pbistInst              = SDL_PBIST_INST_A72,
         .tisciPBISTDeviceId     = TISCI_DEV_COMPUTE_CLUSTER0_PBIST_WRAP, /* Device Id for A72 PBIST */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_COMPUTE_CLUSTER0_CLEC_SOC_EVENTS_OUT_LEVEL_8,
         .procRstNeeded          = true,
         .secondaryCoreNeeded    = true,                           /* Secondary core needed */
         .coreName               = "A72 core 0",                   /* Primary core   */
@@ -363,36 +294,13 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .numAuxDevices          = A72_NUM_AUX_DEVICES,            /* Number of Aux devices */
         .auxDeviceIdsP          = &PBIST_A72AuxDevList[0],        /* Array of Aux device ids */
         .auxInitRestoreFunction = PBIST_A72AuxInitRestore,        /* Auxilliary init/restore function */
-        .doneFlag               = false,                          /* Initialize done flag */
     },
     /* VPAC */
     {
-        .testName            = "VPAC PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = 0u,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)CSL_PBIST3_BASE,
-        .numPBISTRuns        = CSL_PBIST3_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            /* Golden Vector Part 1 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST3_ALGO_BITMAP_0, /* Choose recommended Algo bitmap 0 */
-                .memoryGroupsBitMap = CSL_PBIST3_MEM_BITMAP_0,  /* Choose recommended mem bitmap 0  */
-                .scrambleValue      = 0xFEDCBA9876543210U,      /* Scramble Value */
-            },
-            /* Golden Vector Part 2 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST3_ALGO_BITMAP_1, /* Choose recommended Algo bitmap 1 */
-                .memoryGroupsBitMap = CSL_PBIST3_MEM_BITMAP_1,  /* Choose recommended mem bitmap 1  */
-                .scrambleValue      = 0xFEDCBA9876543210U,      /* Scramble Value */
-            }
-        },
+        .testName               = "VPAC PBIST",
+        .pbistInst              = SDL_PBIST_INST_VPAC,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_PBIST3,          /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_PBIST3_DFT_PBIST_CPU_0,
         .procRstNeeded          = true,
         .secondaryCoreNeeded    = false,                     /* Secondary core needed */
         .coreName               = "VPAC core",               /* Primary core   */
@@ -401,36 +309,13 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                        /* No Aux devices */
         .auxInitRestoreFunction = PBIST_VPACAuxInitRestore,  /* Auxilliary init/restore function */
-        .doneFlag               = false,                     /* Initialize done flag */
     },
     /* DMPAC */
     {
-        .testName            = "DMPAC PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = 0u,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)CSL_PBIST1_BASE,
-        .numPBISTRuns        = CSL_PBIST1_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            /* Golden Vector Part 1 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST1_ALGO_BITMAP_0, /* Choose recommended Algo bitmap */
-                .memoryGroupsBitMap = CSL_PBIST1_MEM_BITMAP_0,  /* Choose recommended mem bitmap  */
-                .scrambleValue      = 0xFEDCBA9876543210U,      /* Scramble Value */
-            },
-            /* Golden Vector Part 2 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST1_ALGO_BITMAP_1, /* Choose recommended Algo bitmap */
-                .memoryGroupsBitMap = CSL_PBIST1_MEM_BITMAP_1,  /* Choose recommended mem bitmap  */
-                .scrambleValue      = 0xFEDCBA9876543210U,      /* Scramble Value */
-            },
-        },
+        .testName               = "DMPAC PBIST",
+        .pbistInst              = SDL_PBIST_INST_DMPAC,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_PBIST1,           /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_PBIST1_DFT_PBIST_CPU_0,
         .procRstNeeded          = true,
         .secondaryCoreNeeded    = true,                       /* Secondary core needed */
         .coreName               = "DMPAC core",               /* Primary core   */
@@ -442,36 +327,13 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                         /* No Aux devices */
         .auxInitRestoreFunction = NULL,                       /* Auxilliary init/restore function */
-        .doneFlag               = false,                      /* Initialize done flag */
     },
     /* NAVSS - Not supported in BootApp */
     {
-        .testName            = "NAVSS PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = 0u,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)CSL_PBIST7_BASE,
-        .numPBISTRuns        = CSL_PBIST7_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            /* Golden Vector Part 1 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST7_ALGO_BITMAP_0,   /* Choose recommended Algo bitmap 0 */
-                .memoryGroupsBitMap = CSL_PBIST7_MEM_BITMAP_0,    /* Choose recommended mem bitmap 0  */
-                .scrambleValue      = 0xFEDCBA9876543210U,  /* Scramble Value */
-            },
-            /* Golden Vector Part 2 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST7_ALGO_BITMAP_1,   /* Choose recommended Algo bitmap 1 */
-                .memoryGroupsBitMap = CSL_PBIST7_MEM_BITMAP_1,    /* Choose recommended mem bitmap 1  */
-                .scrambleValue      = 0xFEDCBA9876543210U,  /* Scramble Value */
-            }
-        },
+        .testName               = "NAVSS PBIST",
+        .pbistInst              = SDL_PBIST_INST_NAVSS,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_PBIST7,         /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_PBIST7_DFT_PBIST_CPU_0,
         .procRstNeeded          = true,
         .secondaryCoreNeeded    = false,                    /* Secondary core needed */
         .coreName               = "NAVSS",                  /* Primary core   */
@@ -480,43 +342,13 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                       /* No Aux devices */
         .auxInitRestoreFunction = NULL,                     /* Auxilliary init/restore function */
-        .doneFlag               = false,                    /* Initialize done flag */
     },
     /* HC */
     {
-        .testName            = "HC PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = 0u,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)CSL_PBIST5_BASE,
-        .numPBISTRuns        = 1u, // TODO - ADD SECOND GOLDEN VECTOR NOT YET FUNCTIONAL
-        .PBISTConfigRun = {
-            /* Golden Vector Part 1 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST5_ALGO_BITMAP_0, /* Choose recommended Algo bitmap 0 */
-                .memoryGroupsBitMap = CSL_PBIST5_MEM_BITMAP_0,  /* Choose recommended mem bitmap 0  */
-                .scrambleValue      = 0xFEDCBA9876543210U,      /* Scramble Value */
-            },
-#if 0
-            /* Golden Vector Part 2 */
-            {
-                //.override           = (CSL_PBIST_OVER_RINFO_MASK | CSL_PBIST_OVER_ALGO_MASK),  /* Memory and algorithm decided by ROM*/
-                .override           = 0x0u,
-                /* NOTE: Because of override memoryGroupsBitMap & algorithmsBitMap ignored */
-                .algorithmsBitMap   = CSL_PBIST5_ALGO_BITMAP_1   /* Choose recommended Algo bitmap 1 */
-
-                /* Override bit set to 0 to use memoryGroupsBitMap */
-                /* Can be set to (CSL_PBIST_OVER_RINFO_MASK << CSL_PBIST_OVER_RINFO_SHIFT) to enable all memory */
-                /* NOTE: override set to 1 is not tested */
-                .memoryGroupsBitMap = CSL_PBIST5_MEM_BITMAP_1,    /* Choose recommended mem bitmap 1 */
-                .scrambleValue      = 0xFEDCBA9876543210U,  /* Scramble Value */
-            }
-#endif
-        },
+        .testName               = "HC PBIST",
+        .pbistInst              = SDL_PBIST_INST_HC,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_PBIST5,         /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_PBIST5_DFT_PBIST_CPU_0,
         .procRstNeeded          = false,
         .secondaryCoreNeeded    = false,                    /* Secondary core needed */
         .coreName               = "HC",                     /* Primary core */
@@ -525,36 +357,13 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                       /* No Aux devices */
         .auxInitRestoreFunction = NULL,                     /* Auxilliary init/restore function */
-        .doneFlag               = false,                    /* Initialize done flag */
     },
     /* C6X core 0 */
     {
-        .testName            = "C6x core 0 PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = CSL_C66SS0_VBUSP_CFG_PBISTCFG_BASE,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)PBIST_REGION_LOCAL_BASE,
-        .numPBISTRuns        = CSL_C66SS0_PBIST0_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            /* Golden Vector Part 1 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_C66SS0_PBIST0_ALGO_BITMAP_0,   /* Choose recommended Algo bitmap 0 */
-                .memoryGroupsBitMap = CSL_C66SS0_PBIST0_MEM_BITMAP_0,    /* Choose recommended mem bitmap 0  */
-                .scrambleValue      = 0xFEDCBA9876543210U, /* Scramble Value */
-            },
-            /* Golden Vector Part 2 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use memoryGroupsBitMap & algorithmsBitMap */
-                .algorithmsBitMap   = CSL_C66SS0_PBIST0_ALGO_BITMAP_1,   /* Choose recommended Algo bitmap 1 */
-                .memoryGroupsBitMap = CSL_C66SS0_PBIST0_MEM_BITMAP_1,    /* Choose recommended mem bitmap 1  */
-                .scrambleValue      = 0xDCBA9876543210FEU, /* Scramble Value */
-            }
-        },
+        .testName               = "C6x core 0 PBIST",
+        .pbistInst              = SDL_PBIST_INST_C66X0,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_C66SS0_PBIST0,   /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_C66SS0_PBIST0_DFT_PBIST_CPU_0,
         .procRstNeeded          = true,
         .secondaryCoreNeeded    = false,                           /* Secondary core needed */
         .coreName               = "C6x core 0",                    /* Primary core   */
@@ -563,36 +372,13 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                              /* No Aux devices */
         .auxInitRestoreFunction = NULL,                            /* Auxilliary init/restore function */
-        .doneFlag               = false,                           /* Initialize done flag */
     },
     /* C6X core 1 */
     {
-        .testName            = "C6x core 1 PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = CSL_C66SS1_VBUSP_CFG_PBISTCFG_BASE,
-        .deviceRegsHiAddress = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)PBIST_REGION_LOCAL_BASE,
-        .numPBISTRuns        = CSL_C66SS1_PBIST0_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            /* Golden Vector Part 1 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use memoryGroupsBitMap & algorithmsBitMap */
-                .algorithmsBitMap   = CSL_C66SS1_PBIST0_ALGO_BITMAP_0,   /* Choose recommended Algo bitmap 0 */
-                .memoryGroupsBitMap = CSL_C66SS1_PBIST0_MEM_BITMAP_0,    /* Choose recommended mem bitmap  0 */
-                .scrambleValue      = 0xFEDCBA9876543210U, /* Scramble Value */
-            },
-            /* Golden Vector Part 2 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use memoryGroupsBitMap & algorithmsBitMap */
-                .algorithmsBitMap   = CSL_C66SS1_PBIST0_ALGO_BITMAP_1,   /* Choose recommended Algo bitmap 1 */
-                .memoryGroupsBitMap = CSL_C66SS1_PBIST0_MEM_BITMAP_1,    /* Choose recommended mem bitmap 1  */
-                .scrambleValue      = 0xDCBA9876543210FEU, /* Scramble Value */
-            }
-        },
+        .testName               = "C6x core 1 PBIST",
+        .pbistInst              = SDL_PBIST_INST_C66X1,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_C66SS1_PBIST0,   /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_C66SS1_PBIST0_DFT_PBIST_CPU_0,
         .procRstNeeded          = true,                            /* Initialize done flag */
         .secondaryCoreNeeded    = false,                           /* Secondary core needed */
         .coreName               = "C6x core 1",                    /* Primary core   */
@@ -601,73 +387,29 @@ PBIST_TestHandle_t PBIST_TestHandleArray[PBIST_MAX_INSTANCE+1] =
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = 0u,                              /* No Aux devices */
         .auxInitRestoreFunction = NULL,                            /* Auxilliary init/restore function */
-        .doneFlag               = false,                           /* Initialize done flag */
     },
     /* Main Infra */
     {
-        .testName            = "Main Infra PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = 0u,
-        .pPBISTRegs          = (CSL_pbistRegs *)CSL_PBIST6_BASE,
-        .numPBISTRuns        = CSL_PBIST6_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            /* Golden Vector Part 1 */
-            {
-                .override           = 0u,                  /* Memory and algorithm decided by ROM*/
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST6_ALGO_BITMAP_0,   /* Choose recommended Algo bitmap 0 */
-                .memoryGroupsBitMap = CSL_PBIST6_MEM_BITMAP_0,    /* Choose recommended mem bitmap 0  */
-                .scrambleValue      = 0xFEDCBA9876543210U, /* Scramble Value */
-            },
-            /* Golden Vector Part 2 */
-            {
-                .override           = 0u,                  /* Memory and algorithm decided by ROM*/
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_PBIST6_ALGO_BITMAP_1,   /* Choose recommended Algo bitmap 1 */
-                .memoryGroupsBitMap = CSL_PBIST6_MEM_BITMAP_1,    /* Choose recommended mem bitmap 1 */
-                .scrambleValue      = 0xFEDCBA9876543210U, /* Scramble Value */
-            }
-        },
+        .testName               = "Main Infra PBIST",
+        .pbistInst              = SDL_PBIST_INST_MAININFRA,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_PBIST6,        /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_PBIST6_DFT_PBIST_CPU_0,
         .procRstNeeded          = false,
         .secondaryCoreNeeded    = false,                   /* Secondary core needed */
-        .coreName               = 0x0u,                    /* No coreName   */
+        .coreName               = "",                      /* No coreName   */
         .tisciProcId            = 0x0u,                    /* No Proc Id needed for Main Intrastructure */
         .tisciDeviceId          = 0x0u,                    /* No Device Id needed for Main infrastructure */
         .coreCustPwrSeqNeeded   = false,
         .numAuxDevices          = MAIN_INFRA_NUM_AUX_DEVICES,    /* No Aux devices       */
         .auxDeviceIdsP          = &PBIST_MainInfraAuxDevList[0], /* Array of Aux device ids */
         .auxInitRestoreFunction = PBIST_MainInfraAuxInitRestore, /* Auxilliary init/restore function */
-        .doneFlag               = false,                         /* Initialize done flag */
     },
     /* MSMC */
     {
-        .testName            = "MSMC PBIST",
-        .numPostPbistToCheck = 0u,
-        .PBISTRegsHiAddress  = CSL_COMPUTE_CLUSTER0_MSMC_PBIST_BASE,
-        .pPBISTRegs          = (CSL_pbistRegs *)PBIST_REGION_LOCAL_BASE,
-        .numPBISTRuns        = CSL_COMPUTE_CLUSTER0_PBIST_WRAP_NUM_TEST_VECTORS,
-        .PBISTConfigRun = {
-            /* Golden Vector Part 1 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_COMPUTE_CLUSTER0_PBIST_WRAP_ALGO_BITMAP_0,   /* Choose recommended Algo bitmap 0 */
-                .memoryGroupsBitMap = CSL_COMPUTE_CLUSTER0_PBIST_WRAP_MEM_BITMAP_0,    /* Choose recommended mem bitmap 0  */
-                .scrambleValue      = 0xFEDCBA9876543210U, /* Scramble Value */
-            },
-            /* Golden Vector Part 2 */
-            {
-                .override           = 0x0u,
-                /* Override bit set to 0 to use algorithmsBitMap & memoryGroupsBitMap */
-                .algorithmsBitMap   = CSL_COMPUTE_CLUSTER0_PBIST_WRAP_ALGO_BITMAP_1,   /* Choose recommended Algo bitmap 1 */
-                .memoryGroupsBitMap = CSL_COMPUTE_CLUSTER0_PBIST_WRAP_MEM_BITMAP_1,    /* Choose recommended mem bitmap 1  */
-                .scrambleValue      = 0xFEDCBA9876543210U, /* Scramble Value */
-            }
-        },
+        .testName               = "MSMC PBIST",
+        .pbistInst              = SDL_PBIST_INST_MSMC,
+        .numPostPbistToCheck    = 0u,
         .tisciPBISTDeviceId     = TISCI_DEV_COMPUTE_CLUSTER0_PBIST_WRAP, /* PBIST device id  */
-        .interruptNumber        = CSLR_MCU_R5FSS0_CORE0_INTR_COMPUTE_CLUSTER0_PBIST_WRAP_DFT_PBIST_CPU_0,
         .procRstNeeded          = true,
         .secondaryCoreNeeded    = true,                    /* Secondary core needed */
         .coreName               = "A72 core 0",            /* Primary core   */
